dev_get_by_flags
Prev | Driver Support | Next

## Name

dev_get_by_flags — find any device with given flags

## Synopsis

`struct net_device * dev_get_by_flags (` | struct net * | net,
| unsigned short | if_flags,
| unsigned short | mask`)`;

## Arguments

`net`

  the applicable net namespace

`if_flags`

  IFF_* values

`mask`

  bitmask of bits in if_flags to check

## Description

Search for any interface with the given flags. Returns NULL if a device is not found or a pointer to the device. The device returned has had a reference added and the pointer is safe until the user calls dev_put to indicate they have finished with it.

Prev | Up | Next
dev_getbyhwaddr | Home | dev_valid_name